package com.ruoyi.ehsLawEnforce.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsLawEnforce.domain.EhsLawEnforcement;

import java.util.List;

/**
 * 行政执法台账Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-13
 */
public interface EhsLawEnforcementMapper extends BaseMapper<EhsLawEnforcement> {
    /**
     * 查询行政执法台账
     *
     * @param id 行政执法台账主键
     * @return 行政执法台账
     */
    public EhsLawEnforcement selectEhsLawEnforcementById(Long id);

    /**
     * 查询行政执法台账列表
     *
     * @param ehsLawEnforcement 行政执法台账
     * @return 行政执法台账集合
     */
    public List<EhsLawEnforcement> selectEhsLawEnforcementList(EhsLawEnforcement ehsLawEnforcement);
}
