package com.ruoyi.ehsMaterialDetail.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsMaterialDetail.domain.EhsMaterialDetail;
import java.util.List;

/**
 * 资源管理出库入库明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-05
 */
public interface EhsMaterialDetailMapper extends BaseMapper<EhsMaterialDetail> {
	/**
	 * 查询资源管理出库入库明细
	 *
	 * @param materialDetailId 资源管理出库入库明细主键
	 * @return 资源管理出库入库明细
	 */
	public EhsMaterialDetail selectEhsMaterialDetailByMaterialDetailId(Long materialDetailId);

	/**
	 * 查询资源管理出库入库明细列表
	 *
	 * @param ehsMaterialDetail 资源管理出库入库明细
	 * @return 资源管理出库入库明细集合
	 */
	public List<EhsMaterialDetail> selectEhsMaterialDetailList(EhsMaterialDetail ehsMaterialDetail);

	/**
	 * 按主表id删除未执行指令的记录
	 *
	 * @param materialId 物资表ID
	 * @return 结果
	 */
	public int deleteEhsMaterialDetailByMaterialId(Long materialId);
}
