package com.ruoyi.ehsRescueTeamWorker.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsRescueTeamWorker.domain.EhsRescueTeamWorker;

import java.util.List;

/**
 * 应急救援队人员信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-11
 */
public interface EhsRescueTeamWorkerMapper extends BaseMapper<EhsRescueTeamWorker> {
    /**
     * 查询应急救援队人员信息
     *
     * @param id 应急救援队人员信息主键
     * @return 应急救援队人员信息
     */
    public EhsRescueTeamWorker selectEhsRescueTeamWorkerById(Long id);

    /**
     * 查询应急救援队人员信息列表
     *
     * @param ehsRescueTeamWorker 应急救援队人员信息
     * @return 应急救援队人员信息集合
     */
    public List<EhsRescueTeamWorker> selectEhsRescueTeamWorkerList(EhsRescueTeamWorker ehsRescueTeamWorker);

    // 根据队伍ids删除队伍中的队员
    boolean removeWorkerByTeamIds(List<Long> teamIds);
}
